Package gov.nasa.gsfc.sscweb.schema

# Enum Class Tsyganenko87Kp

java.lang.Object
java.lang.Enum<Tsyganenko87Kp>
gov.nasa.gsfc.sscweb.schema.Tsyganenko87Kp

All Implemented Interfaces:
  `Serializable`, `Comparable<Tsyganenko87Kp>`, `Constable`

public enum Tsyganenko87Kp extends Enum<Tsyganenko87Kp>
Tsyganenko87 key parameter values enumeration. <p>Java class for Tsyganenko87Kp</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="Tsyganenko87Kp"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="KP0_0"/> <enumeration value="KP1_1_1"/> <enumeration value="KP2_2_2"/> <enumeration value="KP3_3_3"/> <enumeration value="KP4_4_4"/> <enumeration value="KP5"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `KP_0_0`
  0,0+ KP values.
  `KP_1_1_1`
  1-,1,1+ KP values.
  `KP_2_2_2`
  2-,2,2+ KP values.
  `KP_3_3_3`
  3-,3,3+ KP values.
  `KP_4_4_4`
  4-,4,4+ KP values.
  `KP_5`
  greater-than-or-equal 5- KP values.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `Tsyganenko87Kp(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Tsyganenko87Kp`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static Tsyganenko87Kp`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Tsyganenko87Kp[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### KP_0_0

    public static final Tsyganenko87Kp KP_0_0
    0,0+ KP values.

  - ### KP_1_1_1

    public static final Tsyganenko87Kp KP_1_1_1
    1-,1,1+ KP values.

  - ### KP_2_2_2

    public static final Tsyganenko87Kp KP_2_2_2
    2-,2,2+ KP values.

  - ### KP_3_3_3

    public static final Tsyganenko87Kp KP_3_3_3
    3-,3,3+ KP values.

  - ### KP_4_4_4

    public static final Tsyganenko87Kp KP_4_4_4
    4-,4,4+ KP values.

  - ### KP_5

    public static final Tsyganenko87Kp KP_5
    greater-than-or-equal 5- KP values.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### Tsyganenko87Kp

    private Tsyganenko87Kp(String v)

- ## Method Details

  - ### values

    public static Tsyganenko87Kp[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Tsyganenko87Kp valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static Tsyganenko87Kp fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.